<!--
Copyright (C) 2018 Freetech Solutions

This file is part of OMniLeads

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

-->
{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block head_js %}
    <script type="text/javascript">
        $(function(){

            setInterval(function() {
            window.location.reload(true)
        }, 180000);

            $(".btn-submit").click(function (){
                var campana_id = $(this).attr("id");
                var action = $(this).attr("name");
                submit_form(campana_id, action);
            })

            function submit_form(campana_id, action){
                $("#campana_id").val(campana_id);
                $("#form_estados_campanas").attr("action", action);
                $("#form_estados_campanas").submit();
            }
        });

        function mostrar_detalle_campana(pk_campana) {
             if ($('#modal_ventana').attr('first-time') == 'true'){
                  $('#modal_ventana').attr('first-time', 'false')
             }
            else{
                $('#modal_ventana').fadeOut('slow');
             }

             $('#modal_ventana').html("");
            $.get('{% url  'campana_dialer_detalle_wombat' %}', {pk_campana: pk_campana},
                    function (data) {
                        $('#modal_ventana').html(data);
                        $('#modal_ventana').fadeIn('slow');
                    });
        }
        ;
        function mostrar_campanas_dialer_ocultas() {

            $.get('{% url  'campana_dialer_mostrar_ocultas' %}',
                    function (data) {
                        $('#t_body_borradas').html(data);

                    });
        }
        ;
    </script>
{% endblock %}

{% block content %}

<h1>{% trans 'Campañas dialer' %}</h1>

<div>
    <form id="form_estados_campanas" role="form" method="post">
        {% csrf_token %}
        <input type="hidden" id="campana_id" name="campana_id">
    <h2>{% trans 'Campañas Activas' %} <span style="color:red;">- {% trans 'Canales en uso' %}: {{ canales_en_uso }}</span></h2>
            <a href="{% url 'campana_dialer_finaliza_activas' %}" class="btn btn-light btn-sm float-right">
        {% trans 'Finalizar campañas sin contactos por discar' %}
    </a>
        </br>
        </br>
    <table class="table">
        <thead>
            <tr>
                <th>{% trans 'Nombre' %}</th>
                <th>{% trans 'Fecha Ini' %}</th>
                <th>{% trans 'Fecha Fin' %}</th>
                <th>{% trans 'Base de datos' %}</th>
                <th>{% trans 'Estado' %}</th>
                <th>{% trans 'Acciones' %}&nbsp;&nbsp;</th>

            </tr>
        </thead>
        <tbody>
        {% for campana in activas %}
            <tr>
                <td width="25%">
                    <a  href="#" data-toggle="modal" data-target="#myMapModal"  onclick="mostrar_detalle_campana({{ campana.id }})">{{ campana.nombre }}</a>
                    <a href="{% url 'campana_dialer_detalle' campana.pk %}">
                        &nbsp;<span class="icon icon-search" aria-hidden="true" title="ver detalles"></span>
                    </a>
                </td>
                <td>
                    {{ campana.fecha_inicio|date:"d/m/Y" }}
                </td>
                <td>{{ campana.fecha_fin|date:"d/m/Y" }}</td>
                <td>
                    {{ campana.bd_contacto }}
                </td>
                <td> {{campana.get_estado_display}}  </td>
                <td width="14%">
                    <div class="dropdown">
                        <button class="btn btn-light dropdown-toggle" type="button" id="dropdownCampaignActive" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {% trans 'Opciones' %}
                        </button>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownCampaignActive">
                            <a class="dropdown-item" href="{% url 'campana_dialer_update' campana.pk %}">
                                <span class="icon icon-pencil"></span>{% trans 'Editar' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'queue_member_campana' campana.pk %}">
                                <span class="icon icon-plus"></span>{% trans 'Agregar agentes' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_dialer_supervisors' campana.pk %}">
                                <span class="icon icon-eye"></span>{% trans 'Dar permiso para ver' %}
                            </a>

                            <a class="dropdown-item" href="{% url 'campana_reporte_calificacion' campana.pk %}">
                                <span class="icon icon-list"></span>{% trans 'Calificaciones' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'reporte_de_resultados' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Resultados de Base' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_grafico' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Reportes' %}
                            </a>
                            <a class="dropdown-item btn-submit" id="{{ campana.id }}" name="{% url 'pausar_campana_dialer' %}">
                                <span class="icon icon-control-pause"></span>{% trans 'Pausar' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_dialer_delete' campana.pk %}">
                                <span class="icon icon-trash"></span>{% trans 'Eliminar' %}
                            </a>
                        </div>
                    </div>
                </td>
            </tr>
       {% empty %}
        <tr>
            <td colspan="6">{% trans 'No existen campañas' %}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    <br>
    <h2>{% trans 'Campañas Pausadas' %}</h2>
    <table class="table">
        <thead>
            <tr>
                <th>{% trans 'Nombre' %}</th>
                <th>{% trans 'Fecha Ini' %}</th>
                <th>{% trans 'Fecha Fin' %}</th>
                <th>{% trans 'Base de datos' %}</th>
                <th>{% trans 'Estado' %}</th>
                <th>{% trans 'Acciones' %}&nbsp;&nbsp;</th>
            </tr>
        </thead>
        <tbody>
        {% for campana in pausadas %}
            <tr>
                <td width="25%">
                    <a  href="#" data-toggle="modal" data-target="#myMapModal"  onclick="mostrar_detalle_campana({{ campana.id }})">{{ campana.nombre }}</a>
                    <a href="{% url 'campana_dialer_detalle' campana.pk %}">
                        &nbsp;<span class="icon icon-search" aria-hidden="true" title="ver detalles"></span>
                    </a>
                </td>
                <td>
                    {{ campana.fecha_inicio|date:"d/m/Y" }}
                </td>
                <td>{{ campana.fecha_fin|date:"d/m/Y" }}</td>
                <td>
                    {{ campana.bd_contacto }}
                </td>
                <td> {{campana.get_estado_display}}  </td>
                <td width="14%">
                    <div class="dropdown">
                        <button class="btn btn-light dropdown-toggle" type="button" id="dropdownCampaignPaused" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {% trans 'Opciones' %}
                        </button>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownCampaignPaused">
                            <a class="dropdown-item" href="{% url 'campana_dialer_update' campana.pk %}">
                                <span class="icon icon-pencil"></span>{% trans 'Editar' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'queue_member_campana' campana.pk %}">
                                <span class="icon icon-plus"></span>{% trans 'Agregar agentes' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_dialer_supervisors' campana.pk %}">
                                <span class="icon icon-eye"></span>{% trans 'Dar permisos para ver' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_calificacion' campana.pk %}">
                                <span class="icon icon-list"></span>{% trans 'Calificaciones' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'reporte_de_resultados' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Resultados de Base' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_grafico' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Reportes' %}
                            </a>
                            <a class="dropdown-item btn-submit" id="{{ campana.id }}" name="{% url 'activar_campana_dialer' %}">
                                <span class="icon icon-control-play"></span>{% trans 'Activar' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_dialer_delete' campana.pk %}">
                                <span class="icon icon-trash"></span>{% trans 'Eliminar' %}
                            </a>
                        </div>
                    </div>
                </td>
            </tr>
       {% empty %}
        <tr>
            <td colspan="6">{% trans 'No existen campañas' %}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    <br>
    <h2>{% trans 'Campañas Inactivas' %}</h2>
    <table class="table">
        <thead>
            <tr>
                <th>{% trans 'Nombre' %}</th>
                <th>{% trans 'Fecha Ini' %}</th>
                <th>{% trans 'Fecha Fin' %}</th>
                <th>{% trans 'Base de datos' %}</th>
                <th>{% trans 'Estado' %}</th>
                <th>{% trans 'Acciones' %}&nbsp;&nbsp;</th>
            </tr>
        </thead>
        <tbody>
        {% for campana in inactivas %}
            <tr>
                <td width="25%">
                    {{ campana.nombre }}
                    <a href="{% url 'campana_dialer_detalle' campana.pk %}">
                        &nbsp;<span class="icon icon-search" aria-hidden="true" title="ver detalles"></span>
                    </a>
                </td>
                <td>
                    {{ campana.fecha_inicio|date:"d/m/Y" }}
                </td>
                <td>{{ campana.fecha_fin|date:"d/m/Y" }}</td>
                <td>
                    {{ campana.bd_contacto }}
                    <a href="{% url 'campana_dialer_update_base' campana.pk %}">
                        {% trans 'Cambiar' %}
                    </a>
                </td>
                <td> {{campana.get_estado_display}}  </td>
                <td width="14%">
                    <div class="dropdown">
                        <button class="btn btn-light dropdown-toggle" type="button" id="dropdownCampaignInactive" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {% trans 'Opciones' %}
                        </button>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownCampaignInactive">
                            <a class="dropdown-item" href="{% url 'campana_dialer_update' campana.pk %}">
                                <span class="icon icon-pencil"></span>{% trans 'Editar' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'queue_member_campana' campana.pk %}">
                                <span class="icon icon-plus"></span>{% trans 'Agregar agentes' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_dialer_supervisors' campana.pk %}">
                                <span class="icon icon-eye"></span>{% trans 'Dar permisos para ver' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_calificacion' campana.pk %}">
                                <span class="icon icon-list"></span>{% trans 'Calificaciones' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'reporte_de_resultados' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Resultados de Base' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_grafico' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Reportes' %}
                            </a>
                            <a class="dropdown-item btn-submit" id="{{ campana.id }}" name="{% url 'start_campana_dialer' %}">
                                <span class="icon icon-control-play"></span>{% trans 'Iniciar' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_dialer_delete' campana.pk %}">
                                <span class="icon icon-trash"></span>{% trans 'Eliminar' %}
                            </a>
                        </div>
                    </div>
                </td>
            </tr>
       {% empty %}
        <tr>
            <td colspan="6">{% trans 'No existen campañas' %}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    <br>
    <h2>{% trans 'Campañas Finalizadas' %}</h2>
    <table class="table">
        <thead>
            <tr>
                <th>{% trans 'Nombre' %}</th>
                <th>{% trans 'Fecha Ini' %}</th>
                <th>{% trans 'Fecha Fin' %}</th>
                <th>{% trans 'Base de datos' %}</th>
                <th>{% trans 'Estado' %}</th>
                <th>{% trans 'Acciones' %}&nbsp;&nbsp;</th>
            </tr>
        </thead>
        <tbody>
        {% for campana in finalizadas %}
            <tr>
                <td width="25%">
                    <a  href="#" data-toggle="modal" data-target="#myMapModal"  onclick="mostrar_detalle_campana({{ campana.id }})">{{ campana.nombre }}</a>
                    <a href="{% url 'campana_dialer_detalle' campana.pk %}">
                        &nbsp;<span class="icon icon-search" aria-hidden="true" title="ver detalles"></span>
                    </a>
                </td>
                <td>
                    {{ campana.fecha_inicio|date:"d/m/Y" }}
                </td>
                <td>{{ campana.fecha_fin|date:"d/m/Y" }}</td>
                <td>
                    {{ campana.bd_contacto }}
                    <a href="{% url 'campana_dialer_update_base' campana.pk %}">
                        {% trans 'Cambiar' %}
                    </a>
                </td>
                <td> {{campana.get_estado_display}}  </td>
                <td width="14%">
                    <div class="dropdown">
                        <button class="btn btn-light dropdown-toggle" type="button" id="dropdownCampaignFinished" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {% trans 'Opciones' %}
                        </button>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownCampaignFinished">
                            <a class="dropdown-item" href="{% url 'campana_dialer_supervisors' campana.pk %}">
                                <span class="icon icon-eye"></span>{% trans 'Dar permisos para ver' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_calificacion' campana.pk %}">
                                <span class="icon icon-list"></span>{% trans 'Calificaciones' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'reporte_de_resultados' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Resultados de Base' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_grafico' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Reportes' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'reciclar_campana_dialer' campana.pk %}">
                                <span class="icon icon-refresh"></span>{% trans 'Reciclar' %}
                            </a>
                            <a class="dropdown-item btn-submit" id="{{ campana.id }}" name="{% url 'start_campana_dialer' %}">
                                <span class="icon icon-control-play"></span>{% trans 'Iniciar' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_dialer_delete' campana.pk %}">
                                <span class="icon icon-trash"></span>{% trans 'Eliminar' %}
                            </a>
                        </div>
                    </div>
                </td>
            </tr>
       {% empty %}
        <tr>
            <td colspan="6">{% trans 'No existen campañas' %}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    <br>
    <h2>{% trans 'Campañas Eliminadas' %}</h2>
    <a href="#" class="btn btn-light btn-sm" onclick="mostrar_campanas_dialer_ocultas()" >
        {% trans 'Mostrar ocultas' %}
    </a>
    <hr>
    <table class="table">
        <thead>
            <tr>
                <th>{% trans 'Nombre' %}</th>
                <th>{% trans 'Fecha Ini' %}</th>
                <th>{% trans 'Fecha Fin' %}</th>
                <th>{% trans 'Estado' %}</th>
                <th>{% trans 'Acciones' %}&nbsp;&nbsp;</th>
            </tr>
        </thead>
        <tbody id="t_body_borradas">
        {% for campana in borradas %}
            <tr>
                <td width="25%">
                    {{ campana.nombre }}<a href="{% url 'campana_dialer_detalle' campana.pk %}">
                        &nbsp;<span class="icon icon-search" aria-hidden="true" title="ver detalles"></span>
                    </a>
                </td>
                <td>
                    {{ campana.fecha_inicio|date:"d/m/Y" }}
                </td>
                <td>{{ campana.fecha_fin|date:"d/m/Y" }}</td>
                <td> {{campana.get_estado_display}}  </td>
                <td width="14%">
                    <div class="dropdown">
                        <button class="btn btn-light dropdown-toggle" type="button" id="dropdownCampaignDeleted" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {% trans 'Opciones' %}
                        </button>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownCampaignDeleted">
                            <a class="dropdown-item" href="{% url 'campana_reporte_calificacion' campana.pk %}">
                                <span class="icon icon-list"></span>{% trans 'Calificaciones' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'reporte_de_resultados' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Resultados de Base' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_grafico' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Reportes' %}
                            </a>
                            {% if campana.oculto %}
                            <a class="dropdown-item" href="{% url 'campana_dialer_desocultar' campana.pk %}">
                                <span class="icon icon-eye"></span>{% trans 'Hacer visible' %}
                            </a>
                            {% else %}
                            <a class="dropdown-item" href="{% url 'campana_dialer_ocultar' campana.pk %}">
                                <span class="icon icon-eye-slash"></span>{% trans 'Ocultar' %}
                            </a>
                            {% endif %}
                            <a class="dropdown-item" href="{% url 'reciclar_campana_dialer' campana.pk %}">
                                <span class="icon icon-refresh"></span>{% trans 'Reciclar' %}
                            </a>
                        </div>
                    </div>
                </td>
            </tr>
       {% empty %}
        <tr>
            <td colspan="6">{% trans 'No existen campañas' %}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>
</div>

 <div class="modal fade" id="myMapModal">
        <div class="modal-dialog" id="modal_ventana">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 id="address" class="modal-title"></h1>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <div class="row">
                            <div id="map-canvas" class=""></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">{% trans 'Cerrar' %}</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>

{% endblock %}
